Subject: Re: bug#6823: 24.0.50; Wdired or Dired enhancement

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 09 Aug 2010 16:48:26 +0200

"Drew Adams" <[email-masked]> writes:

>> > AFAIK the best you can do now is to use Wdired and perform
>> > query-replace with some fancy replacement expression.
>> > We should offer something simpler for the common task of
>> > renaming a sequence of files.
>> 
>> We have have two tools to achieve this, wdired-change-to-wdired-mode,
>> and query-replace-regexp used with \, and \# in the 
>> replacement regexp.
>
> That's exactly what I meant by "use Wdired and perform query-replace with some
> fancy replacement expression."

Ah! yes sorry.

> I know that a user can do it.  What I suggest is that we also "offer something
> simpler for the common task of renaming a sequence of files."
>
> A Windows user need not be familiar with Lisp sexps (and especially arcane
> incantations using `\,' and \#).  It's great to have that capability, but we
> should also offer something simpler for the common, simple case.

Maybe have a special command for wdired that start wdired-mode but
provide a special regexp template for this case to give to
query-replace.

What is good with wdired+query-replace is we can undo if regexp is
wrong until we find a good regexp.

>> You can use also this function:(You may have to run it two 
>> times in some rare cases)
>>
>>  (defun serial-rename (dir ext name start)...
>
> I haven't tried it, but from the doc string, it sounds like the kind of thing I
> had in mind.
>
> The doc for Dired should mention such a command (which should be bound to a
> key), and it should mention that you can do fancier, more flexible replacement
> using query-replace with `\,', `\#', etc.
>
This command (serial-rename) is not part of emacs, it's just a little
command of my config i use sometime to rename quickly my photos.
However i prefer wdired/query-replace-regexp.

-- 
Thierry Volpiatto
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997